<!DOCTYPE rkplugin>
<document>
  <code file="ltm_cronbach_alpha.js" />
  <!--<help file="ltm_cronbach_alpha.rkh" />-->

  <logic>
    <connect client="inp_items.enabled" governor="chk_select.state" />
    <connect client="spin_ci.enabled" governor="chk_bsci.state" />
  </logic>

  <dialog label="Cronbach's alpha">
    <tabbook>
      <tab id="tab_var_options" label="Data">
        <row id="row_vars">
          <varselector id="vars" />
          <column>
            <varslot types="numeric" id="x" source="vars" required="true" num_dimensions="2" label="Item responses:"/>
            <text>Must be a matrix or data.frame, including the items as columns.</text>
            <frame id="frame_items" label="Item selection">
	      <checkbox id="chk_select" label="Select a subset of items" value="select" />
	      <varslot types="numeric" id="inp_items" source="vars" multi="true" min_vars="2" label="List of items:" />
            </frame>
            <stretch />
            <frame id="frame_options" label="Options">
              <spinbox id="spin_samples" label="Number of Bootstrap samples:" type="integer" initial="1000" min="1" size="small" />
              <checkbox id="chk_standard" label="Compute standardized Cronbach's alpha" value="standard" />
              <checkbox id="chk_na" label="Ignore missing values" value="rm" />
              <checkbox id="chk_bsci" label="Compute Bootstrap confidence interval (CI)" value="bsci" />
              <spinbox id="spin_ci" label="Confidence interval:" type="real" initial=".95" min="0" max="1" size="small" />
            </frame>
            <preview id="preview" mode="output"/>
          </column>
        </row>
      </tab>
    </tabbook>
  </dialog>
</document>
